#define svn_version 2005.10.04

%define module_name xenomai
%define module_version 2.0
%define module_release alt1

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release
Summary: The Xenomai real-time framework - sources
License: GPL
Group: Development/Kernel
Url: http://www.gna.org/projects/Xenomai/
BuildArch: noarch

%ifdef svn_version
%define src_version %svn_version
%else
%define src_version %module_version
%endif

Source: %module_name-%src_version.tar.bz2

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.8

Obsoletes: kernel-source-rtai-fusion

%description
Xenomai is a real-time development framework cooperating with
the Linux kernel, in order to provide a pervasive, interface-agnostic,
hard real-time support to user-space applications, seamlessly
integrated into the GNU/Linux environment.

Xenomai is based on an abstract RTOS core, usable for building any
kind of real-time interfaces, over a nucleus which exports a set
of generic RTOS services. Any number of RTOS personalities called
"skins" can then be built over the nucleus, providing their own
specific interface to the applications, by using the services of a
single generic core to implement it.

The Xenomai project has been launched in August 2001. It has merged in
2003 with the RTAI project to produce an industrial-grade real-time
Free Software platform for GNU/Linux called RTAI/fusion, on top of
Xenomai's abstract RTOS core. Eventually, the RTAI/fusion effort became
independent from RTAI in 2005 as the Xenomai project

%prep
%setup -q -c -n %name-%version
%__mv %module_name-%src_version %name-%version

%install
%__mkdir_p %kernel_srcdir
%__tar -c %name-%version | %__bzip2 -c > \
    %buildroot%kernel_src/%name-%version.tar.bz2

%files
%kernel_src/%name-%version.tar.bz2

%changelog
* Sun Oct 09 2005 Evgeny Sinelnikov <sin@altlinux.ru> 2.0-alt1
- Initial build for ALT Linux (Xenomai 2.0 baseline)
  Based on unpublished RTAI/fusion 0.9.2
